For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Project Risk
      • GETQuery Risks
      • GETGet Risk
      • PUTUpdate Risk
      • DELRemove Risk
      • GETGet Risks for Project
      • POSTCreate Risk
      • POSTCreate Risk Export
LogoLogo
SupportContact salesStart free trial
API ReferenceRisk

Get Risks for Project

GET
https://api.projectmanager.com/api/data/risks/projects/:projectId
GET
/api/data/risks/projects/:projectId
$curl https://api.projectmanager.com/api/data/risks/projects/projectId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "projectId": "string",
17 "name": "string",
18 "dueDate": "2023-01-15",
19 "percentComplete": 1,
20 "priority": 1,
21 "impact": 1,
22 "likelihood": 1,
23 "responseId": 1,
24 "resolution": "string",
25 "notes": "string",
26 "createDate": "2024-01-15T09:30:00Z",
27 "modifyDate": "2024-01-15T09:30:00Z",
28 "version": 1,
29 "shortId": "string",
30 "taskTypeId": 1,
31 "assignments": [
32 {
33 "taskId": "string",
34 "projectId": "string",
35 "resourceId": "string"
36 }
37 ],
38 "tags": [
39 {
40 "id": "string",
41 "name": "string",
42 "color": "string"
43 }
44 ],
45 "owner": {
46 "id": "string",
47 "initials": "string",
48 "firstName": "string",
49 "lastName": "string",
50 "email": "string",
51 "isActive": true,
52 "color": "string",
53 "avatarUrl": "string"
54 },
55 "filesCount": 1,
56 "commentsCount": 1,
57 "riskTypeId": 1,
58 "project": {
59 "id": "string",
60 "shortId": "string",
61 "name": "string"
62 },
63 "discussionData": {
64 "count": 1,
65 "lastUpdatedDate": "2024-01-15T09:30:00Z",
66 "lastReadDate": "2024-01-15T09:30:00Z"
67 },
68 "fileData": {
69 "count": 1,
70 "lastUpdatedDate": "2024-01-15T09:30:00Z",
71 "lastReadDate": "2024-01-15T09:30:00Z"
72 },
73 "recurring": true,
74 "recurringParentTaskId": "string",
75 "recurringSettings": {
76 "type": 1,
77 "repeatEvery": 1,
78 "repeatOn": [
79 1
80 ],
81 "repeatOn2Level": 1,
82 "endsOn": "2024-01-15T09:30:00Z",
83 "endsAfter": 1
84 }
85 }
86 ]
87}

Retrieves all Risks associated with the specified Project.

This endpoint returns a flat list of Risk summaries (not details) and does not use OData. Results are scoped to the Project and respect feature flags such as Hourly Rates.

Was this page helpful?
Previous

Create Risk

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.